ピクセル
GET https://aka.so/api/pixels/
curl --request GET \
--url 'https://aka.so/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://aka.so/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
| パラメーター | 詳細 | 説明 |
|---|---|---|
| search | 任意 文字列 | 検索文字列 |
| search_by | 任意 文字列 | 検索対象のフィールドを指定してください。指定可能な値は name, pixel です。 |
| type | 任意 文字列 | 有効な値: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| datetime_field | 任意 文字列 | 有効な値: datetime, last_datetime |
| datetime_start | 任意 文字列 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | 任意 文字列 | この日時までの結果をフィルタリングします。Y-m-d H:i:s 形式。 |
| order_by | 任意 文字列 | 結果を並べ替えるフィールド。指定可能な値: pixel_id, datetime, last_datetime, name |
| order_type | 任意 文字列 | 結果のソート順。指定可能な値は、昇順の場合はASC、降順の場合はDESCです。 |
| page | 任意 整数 | 結果を取得するページ番号。デフォルトは1です。 |
| results_per_page | 任意 整数 | 1ページあたりの表示件数。指定可能な値: 10, 25, 50, 100, 250, 500, 1000。デフォルト値: 25。 |
{
"data": [
{
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-10-18 08:49:18",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://aka.so/api/pixels?page=1",
"last": "https://aka.so/api/pixels?page=1",
"next": null,
"prev": null,
"self": "https://aka.so/api/pixels?page=1"
}
}
GET https://aka.so/api/pixels/{pixel_id}
curl --request GET \
--url 'https://aka.so/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://aka.so/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-10-18 08:49:18",
}
}
POST https://aka.so/api/pixels
| パラメーター | 詳細 | 説明 |
|---|---|---|
| type | 必須 文字列 | 有効な値: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | 必須 文字列 | - |
| pixel | 必須 文字列 | - |
curl --request POST \
--url 'https://aka.so/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
--url 'https://aka.so/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
{
"data": {
"id": 1
}
}
POST https://aka.so/api/pixels/{pixel_id}
| パラメーター | 詳細 | 説明 |
|---|---|---|
| type | 任意 文字列 | 有効な値: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | 任意 文字列 | - |
| pixel | 任意 文字列 | - |
curl --request POST \
--url 'https://aka.so/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
--url 'https://aka.so/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
{
"data": {
"id": 1
}
}
DELETE https://aka.so/api/pixels/{pixel_id}
curl --request DELETE \
--url 'https://aka.so/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://aka.so/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \